Package org.apache.sling.distribution.journal

## Class HandlerAdapter<T>

- java.lang.Object
- - org.apache.sling.distribution.journal.HandlerAdapter<T>

    public class HandlerAdapter<T>
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static <T> HandlerAdapter<T>` `create​(Class<T> type, MessageHandler<T> handler)`
`MessageHandler<T>` `getHandler()`
`Class<T>` `getType()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static <T> HandlerAdapter<T> create​(Class<T> type,
                                               MessageHandler<T> handler)

#### getType

    public Class<T> getType()

#### getHandler

    public MessageHandler<T> getHandler()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`